
Redmine - Defect #40426

Can't view on Redmine

2024-03-19 12:57 - Loi Nguyen

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Files Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version:  

Description

Dear Team Supoort,

In my internal system there is a redmine system to serve users. I had a project 5 years ago. Now I have to trace the log as well as

that ticket. I can still open that ticket but I cannot open the file. attach on that ticket, is this the redmine system that deletes itself or

something like that? help me

Thanks

History

#1 - 2024-03-19 13:51 - Holger Just

- Description updated

- Status changed from New to Needs feedback

Redmine generally does not delete data in its own.

However, uploaded files are not stored in the database itself but in the filesystem of the Redmine server in the files directory by default. It is the

responsibility of the Redmine sever admin to ensure that the actual files in the filesystem are kept and updated along with the Redmine database.

Thus, to be able to download a file attachment from Redmine, the associated file which was uploaded for the attachment must be present in the files

directory of the Redmine server. If the file is not there, there is nothing we can do about it. Only if you have old backups from when the attachment

was uploaded, you may be able to extract the file from these backups.

#2 - 2024-04-11 11:48 - Holger Just

- Status changed from Needs feedback to Closed

- Resolution set to No feedback

Files

H1.PNG 15.8 KB 2024-03-19 Loi Nguyen

H2.PNG 25.3 KB 2024-03-19 Loi Nguyen

H3.PNG 25.5 KB 2024-03-19 Loi Nguyen
